Name:           phonon
Version:        4.11.1
Release:        1
License:        LGPLv2+
Summary:        Multimedia framework api
URL:            https://community.kde.org/Phonon
Source0:        http://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz

# filter plugins
%global __provides_exclude_from ^(^%{_qt5_plugindir}/.*\\.so)$

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  pkgconfig(libxml-2.0)
# Qt5
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(xcb)

%description
%{summary}.

%package        qt5
Summary:        Multimedia framework api for Qt5
%{?_qt5:Requires: %{_qt5} >= %{_qt5_version}}
Recommends:     phonon-qt5-backend-gstreamer%{?_isa}

%description    qt5
%{summary}.

%package        qt5-devel
Summary:        Developer files for %{name}-qt5
Requires:       %{name}-qt5 = %{version}-%{release}

%description    qt5-devel
%{summary}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%{cmake_kf5} \
    -DCMAKE_BUILD_TYPE:STRING="Release" \
    -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=%{?declarative:ON}%{!?declarative:OFF} \
    -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
    -DPHONON_QT_IMPORTS_INSTALL_DIR=%{_qt5_importdir} \
    -DPHONON_QT_MKSPECS_INSTALL_DIR=%{_qt5_archdatadir}/mkspecs/modules \
    -DPHONON_QT_PLUGIN_INSTALL_DIR=%{_qt5_plugindir}/designer

mkdir build && cd build
%cmake ../

%install
%make_install

%find_lang %{name} --with-qt --all-name

# own these dirs
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}
test "$(pkg-config --modversion phonon4qt5)" = "%{version}"

%files qt5 -f %{name}.lang
%license COPYING.LIB
%{_bindir}/phononsettings
%{_libdir}/libphonon4qt5.so.4*
%{_libdir}/libphonon4qt5experimental.so.4*
# own backends dir
%dir %{_qt5_plugindir}/phonon4qt5_backend/
# designer plugin
%{_qt5_plugindir}/designer/phononwidgets.so

%files qt5-devel
%dir %{_datadir}/phonon4qt5
%{_datadir}/phonon4qt5/buildsystem/
%{_libdir}/cmake/phonon4qt5/
%{_includedir}/phonon4qt5/
%{_libdir}/libphonon4qt5.so
%{_libdir}/libphonon4qt5experimental.so
%{_libdir}/pkgconfig/phonon4qt5.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_phonon4qt5.pri

%changelog
* Mon Nov 21 2022 liweiganga <liweiganga@uniontech.com> - 4.11.1-1
- update to 4.11.1

* Tue Jan 25 2022 pei-jiankang<peijiankang@kylinos.com> - 4.10.1-5
- modify kf5-knotifyconfig compile error 

* Mon Dec 2 2019 Ling Yang <lingyang2@huawei.com> - 4.10.1-4
- Package init
